curl --request PATCH \
--url https://{tenant_name}.{region}.techwolf.ai/taxonomy/skills/{skill_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"skill_name": "SQL",
"skill_description": "SQL is a standard database query language. The Skill \"SQL\" requires the ability to write and execute SQL queries.",
"properties": {
"sap_status": {
"value": "active"
}
}
}
'[
{
"title": "400 Bad Request",
"description": "The request body was not structured correctly."
}
][
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "404 Not Found",
"description": "Unknown external_id describing this resource. Please create this resource first."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Update Skill
Update the Skill information stored in the vocabulary. To add or update translations, set the vocab_language query parameter to the desired language. This can be for either a TechWolf Skill, a Skill in an external vendor’s vocabulary, or a custom Skill. To revert to the default name or description provided by TechWolf, set the skill_name or skill_description field to null. It is not possible to revert the name or description of a custom Skill in the default (en_uk) language.
curl --request PATCH \
--url https://{tenant_name}.{region}.techwolf.ai/taxonomy/skills/{skill_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"skill_name": "SQL",
"skill_description": "SQL is a standard database query language. The Skill \"SQL\" requires the ability to write and execute SQL queries.",
"properties": {
"sap_status": {
"value": "active"
}
}
}
'[
{
"title": "400 Bad Request",
"description": "The request body was not structured correctly."
}
][
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "404 Not Found",
"description": "Unknown external_id describing this resource. Please create this resource first."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The universally unique ID of the Skill, consisting of alphanumeric characters, hyphens and underscores. The Skill name connected to this id can be identified by either using the Skill Search endpoint or in any response body that contains that Skill.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Query Parameters
The external vendor vocabulary in which the input Skills exist. This will only work for vendors that are activated on your tenant. If not passed, the input Skills have to be in the TechWolf vocabulary.
techwolf, workday, sap_attribute_library "workday"
The language to update the Skill name or description in. If not specified, the default language (en_uk) will be used. The en language is an alias for en_uk.
en, en_uk, en_us, de, fr, nl Body
Name of the Skill. Setting the Skill name to null will reset it to the default name provided by TechWolf. Please note that updating the name of a Skill within one Skill Cluster will apply that change across all other Skill Clusters containing the same Skill.
1 - 255"SQL"
Description of the Skill. Setting the Skill description to null will reset it to the default description provided by TechWolf. Please note that updating the description of a Skill within one Skill Cluster will apply that change across all other Skill Clusters containing the same Skill.
"SQL is a standard database query language. The Skill \"SQL\" requires the ability to write and execute SQL queries."
Skill Properties give additional information about the Skill. These properties are the same over all occurrences of the Skill.
Show child attributes
Show child attributes
{ "sap_status": { "value": "active" } }
Response
No Content
Was this page helpful?